List requests
curl --request GET \
--url https://api.trymaitai.ai/api/v1/requests \
--header 'X-Maitai-Api-Key: <api-key>'import requests
url = "https://api.trymaitai.ai/api/v1/requests"
headers = {"X-Maitai-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Maitai-Api-Key': '<api-key>'}};
fetch('https://api.trymaitai.ai/api/v1/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"request_id": "req_abc123",
"intent_id": 7,
"application_id": 42,
"model": "gpt-4o",
"date_created": 1706000000
}
],
"pagination": {
"total": 4500,
"offset": 0,
"limit": 25
}
}Requests
List requests
List requests filtered by application_id + intent_id, with date range.
GET
/
requests
List requests
Authorizations
Your Maitai API key from the Portal.
Query Parameters
Filter by application ID.
Filter by intent ID.
Start of date range as Unix timestamp (milliseconds).
End of date range as Unix timestamp (milliseconds).
Include full message history in results.
Number of items to skip.
Required range:
x >= 0Maximum number of items to return.
Required range:
1 <= x <= 100Was this page helpful?